// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function UeberweisungMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M21.9951 8.02391C22.2751 8.02391 22.4951 7.80391 22.4951 7.52391V2.00391C22.4951 1.72391 22.2751 1.50391 21.9951 1.50391H1.99512C1.71512 1.50391 1.49512 1.72391 1.49512 2.00391V17.8339C1.49512 18.1139 1.71512 18.3339 1.99512 18.3339H4.38512V21.7339C4.38512 22.3939 5.13512 22.7039 5.62512 22.3439L11.0651 18.3339H22.0051C22.2851 18.3339 22.5051 18.1139 22.5051 17.8339V14.2239C22.5051 11.5639 20.3551 9.41391 17.6951 9.41391H10.3051L12.6551 7.06391C12.8551 6.86391 12.8551 6.55391 12.6551 6.35391C12.4551 6.15391 12.1451 6.15391 11.9451 6.35391L8.73512 9.55391C8.73512 9.55391 8.65512 9.65391 8.62512 9.71391C8.59512 9.77391 8.58512 9.84391 8.58512 9.90391C8.58512 9.96391 8.59512 10.0339 8.62512 10.0939C8.65512 10.1539 8.68512 10.2139 8.73512 10.2539L11.9351 13.4539C12.0351 13.5539 12.1651 13.6039 12.2851 13.6039C12.4051 13.6039 12.5451 13.5539 12.6351 13.4539C12.8351 13.2539 12.8351 12.9439 12.6351 12.7439L10.2851 10.3939H17.6751C19.7751 10.3939 21.4851 12.1039 21.4851 14.2039V17.3139H10.8851C10.7751 17.3139 10.6751 17.3439 10.5851 17.4139L5.37512 21.2639V17.8139C5.37512 17.5339 5.15512 17.3139 4.87512 17.3139H2.49512V2.50391H21.4951V7.52391C21.4951 7.80391 21.7151 8.02391 21.9951 8.02391Z"
        fill="white"
      />
    </svg>
  );
}
